/**
 *
 * 全局注册部分组件，请自行引入
 */

import saveform from '@/components/save-form'
import formitem from '@/components/form-item'
import overflowtext from '@/components/overflow-text'
import locationHash from '@/components/LocationHash'
import selectall from '@/components/select-all'
import copytext from '@/components/copy-text'
import statistic from '@/components/statistic'
import descriptions from '@/components/Descriptions/Descriptions.vue'
import remoteSearch from "@/components/remote-search"
import tabRouter from '@/components/tab-router'
import empty from '@/components/empty'

export default {
  install(Vue) {
    Vue.component(saveform.name, saveform)
    Vue.component(formitem.name, formitem)
    Vue.component(overflowtext.name, overflowtext)
    Vue.component(locationHash.name, locationHash)
    Vue.component(selectall.name, selectall)
    Vue.component(copytext.name, copytext)
    Vue.component(statistic.name, statistic)
    Vue.component(descriptions.name, descriptions)
    Vue.component(remoteSearch.name, remoteSearch)
    Vue.component(tabRouter.name, tabRouter)
    Vue.component(empty.name, empty)
  }
}
